#!/bin/sh
. ~/.bashrc
INFO=/tmp/motif_master/12035_MOTIFSAMPLER/info
cd /tmp/motif_master/12035_MOTIFSAMPLER
START_TIME=`date`
/ulhhmi/alok/local/programs/motifsampler3.1/MotifSampler -f /tmp/motif_master/copy_dir/mec3_top20_u2t_2_19.fa -b /ulhhmi/alok/local/programs/motifsampler3.1/background/ws160Noncoding60.hmm -n 5 -r 10 -m all.matrix -o all.gff 2> /dev/null 
/ulhhmi/alok/local/programs/motifsampler3.1/MotifRanking -b /ulhhmi/alok/local/programs/motifsampler3.1/background/ws160Noncoding60.hmm -i all.matrix -o ranked.matrix  
/ulhhmi/alok/local/programs/motifsampler3.1/MotifGrep.pl -m ranked.matrix  < all.gff > ranked.gff 
STOP_TIME=`date`
rm all.gff
rm all.matrix
rm gmon.out
echo "Queue: " $QUEUE > $INFO
echo "CommandA: /ulhhmi/alok/local/programs/motifsampler3.1/MotifSampler -f /tmp/motif_master/copy_dir/mec3_top20_u2t_2_19.fa -b /ulhhmi/alok/local/programs/motifsampler3.1/background/ws160Noncoding60.hmm -n 5 -r 10 -m all.matrix -o all.gff 2> /dev/null" >> $INFO
echo "CommandB: /ulhhmi/alok/local/programs/motifsampler3.1/MotifRanking -b /ulhhmi/alok/local/programs/motifsampler3.1/background/ws160Noncoding60.hmm -i all.matrix -o ranked.matrix " >> $INFO
echo "CommandC: /ulhhmi/alok/local/programs/motifsampler3.1/MotifGrep.pl -m ranked.matrix  < all.gff > ranked.gff" >> $INFO
echo "Run args:" >> $INFO
echo " SH => /bin/sh" >> $INFO
echo " FILES => ARRAY(0x8244c10)" >> $INFO
echo " COPY_DIR => /tmp/motif_master/copy_dir" >> $INFO
echo " PERL => /usr/bin/perl" >> $INFO
echo " ARGS => -n 5 -r 10" >> $INFO
echo " TGZ_FILES => " >> $INFO
echo " BACKGROUND => ws160Noncoding60.hmm" >> $INFO
echo " FASTA => mec3_top20_u2t_2_19.fa" >> $INFO
echo " RUN_DIR => /tmp/motif_master/12035_MOTIFSAMPLER" >> $INFO
echo " RUN_ID => 12035" >> $INFO
echo " RUN_LEAF => 12035_MOTIFSAMPLER" >> $INFO
echo " PROGRAM => MOTIFSAMPLER" >> $INFO
echo "Start: " $START_TIME >> $INFO
echo "Stop: " $STOP_TIME >> $INFO
