#!/bin/sh
. ~/.bashrc
INFO=/tmp/motif_master/12029_NMICA/info
cd /tmp/motif_master/12029_NMICA
START_TIME=`date`
/ulhhmi/alok/local/programs/nmica-0.7.2/bin/motiffinder -seqs /tmp/motif_master/copy_dir/mec3_top20_u2_2_19.fa -backgroundModel /ulhhmi/alok/local/programs/nmica-0.7.2/background/ws160Noncoding60.sbg -numMotifs 4 -ensembleSize 50 &> /dev/null
STOP_TIME=`date`
echo "Queue: " $QUEUE > $INFO
echo "Command: /ulhhmi/alok/local/programs/nmica-0.7.2/bin/motiffinder -seqs /tmp/motif_master/copy_dir/mec3_top20_u2_2_19.fa -backgroundModel /ulhhmi/alok/local/programs/nmica-0.7.2/background/ws160Noncoding60.sbg -numMotifs 4 -ensembleSize 50" >> $INFO
echo "Run args:" >> $INFO
echo " SH => /bin/sh" >> $INFO
echo " FILES => ARRAY(0x8240e20)" >> $INFO
echo " COPY_DIR => /tmp/motif_master/copy_dir" >> $INFO
echo " PERL => /usr/bin/perl" >> $INFO
echo " ARGS => -numMotifs 4 -ensembleSize 50" >> $INFO
echo " TGZ_FILES => " >> $INFO
echo " BACKGROUND => ws160Noncoding60.sbg" >> $INFO
echo " FASTA => mec3_top20_u2_2_19.fa" >> $INFO
echo " RUN_DIR => /tmp/motif_master/12029_NMICA" >> $INFO
echo " RUN_ID => 12029" >> $INFO
echo " RUN_LEAF => 12029_NMICA" >> $INFO
echo " PROGRAM => NMICA" >> $INFO
echo "Start: " $START_TIME >> $INFO
echo "Stop: " $STOP_TIME >> $INFO
