#!/bin/sh
FOLDER=/tmp/motif_master/12044_ALIGNACE
INFO=$FOLDER/info
OUTFILE=$FOLDER/out
cd $FOLDER
START_TIME=`date`
/ulhhmi/alok/local/bin/AlignACE -i /tmp/motif_master/copy_dir/mec3_top20o_u2_3_19.fa -expect 10 > $OUTFILE
STOP_TIME=`date`
echo "Queue: " $QUEUE > $INFO
echo "Command:  /ulhhmi/alok/local/bin/AlignACE -i /tmp/motif_master/copy_dir/mec3_top20o_u2_3_19.fa -expect 10" >> $INFO
echo "Run args:" >> $INFO
echo " SH => /bin/sh" >> $INFO
echo " FILES => ARRAY(0x80654c0)" >> $INFO
echo " COPY_DIR => /tmp/motif_master/copy_dir" >> $INFO
echo " PERL => /usr/bin/perl" >> $INFO
echo " ARGS => -expect 10" >> $INFO
echo " TGZ_FILES => " >> $INFO
echo " FASTA => mec3_top20o_u2_3_19.fa" >> $INFO
echo " RUN_DIR => /tmp/motif_master/12044_ALIGNACE" >> $INFO
echo " RUN_ID => 12044" >> $INFO
echo " RUN_LEAF => 12044_ALIGNACE" >> $INFO
echo " PROGRAM => ALIGNACE" >> $INFO
echo "Start: " $START_TIME >> $INFO
echo "Stop: " $STOP_TIME >> $INFO
