#!/bin/sh
if [ -f ~/.bashrc ]; then . ~/.bashrc; fi
INFO=/tmp/motif_master/12080_YMF/info
cd /tmp/motif_master/12080_YMF
START_TIME=`date`
/ulhhmi/alok/local/programs/ymf3.0-alok2/perl/splitOnN.pl  < /tmp/motif_master/mec3_t1/mec3_top20_u2_3_19.fa  > inputseq.fa 
MAXLEN=`/ulhhmi/alok/local/programs/ymf3.0-alok2/perl/maxlen.pl inputseq.fa` 
/ulhhmi/alok/local/programs/ymf3.0-alok2/statsvar/statsvar /ulhhmi/alok/local/programs/ymf3.0-alok2/config/02s_3w $MAXLEN 9 /ulhhmi/alok/local/programs/ymf3.0-alok2/ymftables/ws160mask_60 inputseq.fa 
/ulhhmi/alok/local/programs2/explanators1.1.1/src/find_explanators /ulhhmi/alok/local/programs/ymf3.0-alok2/ymftables/ws160mask_60_powersGeneralized.3.bin inputseq.fa results 10 $MAXLEN &> exp.out 
STOP_TIME=`date`
echo "Queue: " $QUEUE > $INFO
echo "CommandA: /ulhhmi/alok/local/programs/ymf3.0-alok2/perl/splitOnN.pl  < /tmp/motif_master/mec3_t1/mec3_top20_u2_3_19.fa  > inputseq.fa" >> $INFO
echo "CommandB: MAXLEN=`/ulhhmi/alok/local/programs/ymf3.0-alok2/perl/maxlen.pl inputseq.fa`" >> $INFO
echo "CommandC: /ulhhmi/alok/local/programs/ymf3.0-alok2/statsvar/statsvar /ulhhmi/alok/local/programs/ymf3.0-alok2/config/02s_3w $MAXLEN 9 /ulhhmi/alok/local/programs/ymf3.0-alok2/ymftables/ws160mask_60 inputseq.fa" >> $INFO
echo "CommandD: /ulhhmi/alok/local/programs2/explanators1.1.1/src/find_explanators /ulhhmi/alok/local/programs/ymf3.0-alok2/ymftables/ws160mask_60_powersGeneralized.3.bin inputseq.fa results 10 $MAXLEN &> exp.out" >> $INFO
echo "Run args:" >> $INFO
echo " SH => /bin/sh" >> $INFO
echo " NEXP => 10" >> $INFO
echo " FILES => ARRAY(0x8257b28)" >> $INFO
echo " COPY_DIR => /tmp/motif_master/mec3_t1" >> $INFO
echo " WIDTH => 9" >> $INFO
echo " PERL => /usr/bin/perl" >> $INFO
echo " CONFIG => 02s_3w" >> $INFO
echo " TGZ_FILES => " >> $INFO
echo " BACKGROUND => ws160mask_60" >> $INFO
echo " RUN_DIR => /tmp/motif_master/12080_YMF" >> $INFO
echo " FASTA => mec3_top20_u2_3_19.fa" >> $INFO
echo " RUN_ID => 12080" >> $INFO
echo " RUN_LEAF => 12080_YMF" >> $INFO
echo " PROGRAM => YMF" >> $INFO
echo "Start: " $START_TIME >> $INFO
echo "Stop: " $STOP_TIME >> $INFO
